> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile

> Profile



## OpenAPI

````yaml /openapi/reddit.openapi.json get /v1/data/reddit/getProfile
openapi: 3.0.0
info:
  title: agntdata Reddit API
  description: fast and reliable unofficial Reddit API
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags: []
paths:
  /v1/data/reddit/getProfile:
    get:
      tags:
        - Default
      summary: Profile
      description: Profile
      operationId: Profile
      parameters:
        - name: username
          in: query
          required: true
          schema:
            type: string
            default: GoldenChrysus
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_reddit_getProfile_Response'
        '400':
          description: Bad request
        '401':
          description: Unauthorized - invalid API key
        '429':
          description: Rate limit exceeded
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_reddit_getProfile_Response:
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````